Bug 1841308 - remove hardcoded requirement for Crypt::Random
Summary: remove hardcoded requirement for Crypt::Random
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Crypt-PWSafe3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1841514
Blocks: 1802983
TreeView+ depends on / blocked
 
Reported: 2020-05-28 20:00 UTC by Charles R. Anderson
Modified: 2020-06-26 01:52 UTC (History)
3 users (show)

Fixed In Version: perl-Crypt-PWSafe3-1.22-14.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-26 01:52:04 UTC
Type: Bug


Attachments (Terms of Use)
perl-Crypt-PWSafe3-bytes-random-secure.patch (3.72 KB, patch)
2020-05-28 20:03 UTC, Charles R. Anderson
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Github TLINDEN Crypt--PWSafe3 pull 11 0 None open Don't need Crypt::Random if Bytes::Random::Secure is available 2020-06-03 08:28:04 UTC

Description Charles R. Anderson 2020-05-28 20:00:26 UTC
Crypt::PWSafe3 can optionally use Bytes::Random::Secure instead of Crypt::Random, but it still has a hardcoded requirement for the latter.  Remove this hardcoded requirement so that Bytes::Random::Secure can be used in the absence of Crypt::Random.  This will allow us to drop Crypt::Random which requires Math::Pari and needs an old compat package for libpari.  EPEL8 doesn't have either of those packages, so fixing this will allow Crypt::PWSafe3 to be built there.

Comment 1 Charles R. Anderson 2020-05-28 20:03:14 UTC
Created attachment 1693159 [details]
perl-Crypt-PWSafe3-bytes-random-secure.patch

Quick and dirty patch to remove requirement for Crypt::Random and replace with requirement for Bytes::Random::Secure.

Comment 2 Paul Howarth 2020-05-29 09:37:50 UTC
This looks like it would work but you seem to have changed the Bytes::Random::Secure version requirement from 0.09 to 0.29 for some reason?

Comment 3 Charles R. Anderson 2020-05-29 12:51:12 UTC
(In reply to Paul Howarth from comment #2)
> This looks like it would work but you seem to have changed the
> Bytes::Random::Secure version requirement from 0.09 to 0.29 for some reason?

0.29 is the latest on CPAN, but I didn't check what version we ship now:

https://metacpan.org/pod/Bytes::Random::Secure

Comment 4 Paul Howarth 2020-06-03 09:47:38 UTC
(In reply to Charles R. Anderson from comment #3)
> (In reply to Paul Howarth from comment #2)
> > This looks like it would work but you seem to have changed the
> > Bytes::Random::Secure version requirement from 0.09 to 0.29 for some reason?
> 
> 0.29 is the latest on CPAN, but I didn't check what version we ship now:
> 
> https://metacpan.org/pod/Bytes::Random::Secure

0.09 is the version that the Crypt-PWSafe3 Makefile.PL looks for:
https://metacpan.org/source/TLINDEN/Crypt-PWSafe3-1.22/Makefile.PL

The previously-missing dependencies for EPEL-8 have now been built:
* perl-Bytes-Random-Secure-0.29-14.el8
* perl-Crypt-ECB-2.22-1.el8
* perl-Crypt-Random-Seed-0.03-16.el8
* perl-Crypt-Twofish-2.17-22.el8

Upstream has not yet responded to my pull request so it's a matter of your choice whether you wait for a response or just go with either my or your fix for getting rid of the Crypt::Random dependency. If you pick one and add buildroot overrides for the 4 packages above, you'll now be able to build perl-Crypt-PWSafe3 for EPEL-8.

Comment 5 Fedora Update System 2020-06-07 23:58:20 UTC
FEDORA-EPEL-2020-6f9f9d0c47 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6f9f9d0c47

Comment 6 Fedora Update System 2020-06-11 19:24:10 UTC
perl-Crypt-PWSafe3-1.22-14.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6f9f9d0c47

Comment 7 Fedora Update System 2020-06-26 01:52:04 UTC
FEDORA-EPEL-2020-6f9f9d0c47 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.